## DMS Write User Data DMS Write User Data |

## Functions

QmiMessageDmsWriteUserDataInput * | qmi_message_dms_write_user_data_input_new ()
QmiMessageDmsWriteUserDataInput * | qmi_message_dms_write_user_data_input_ref ()
void | qmi_message_dms_write_user_data_input_unref ()
gboolean | qmi_message_dms_write_user_data_input_get_user_data ()
gboolean | qmi_message_dms_write_user_data_input_set_user_data ()
QmiMessageDmsWriteUserDataOutput * | qmi_message_dms_write_user_data_output_ref ()
void | qmi_message_dms_write_user_data_output_unref ()
gboolean | qmi_message_dms_write_user_data_output_get_result ()
void | qmi_client_dms_write_user_data ()
QmiMessageDmsWriteUserDataOutput * | qmi_client_dms_write_user_data_finish ()

## Types and Values

| QmiMessageDmsWriteUserDataInput
| QmiMessageDmsWriteUserDataOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsWriteUserDataInput
        ╰── QmiMessageDmsWriteUserDataOutput

## Description

## Functions

### qmi_message_dms_write_user_data_input_new ()

    QmiMessageDmsWriteUserDataInput *
    qmi_message_dms_write_user_data_input_new
                                   (void);

Allocates a new QmiMessageDmsWriteUserDataInput.

#### Returns

the newly created QmiMessageDmsWriteUserDataInput. The returned value should be freed with `qmi_message_dms_write_user_data_input_unref()`.

### qmi_message_dms_write_user_data_input_ref ()

    QmiMessageDmsWriteUserDataInput *
    qmi_message_dms_write_user_data_input_ref
                                   (QmiMessageDmsWriteUserDataInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsWriteUserDataInput. |

#### Returns

the new reference to `self` .

### qmi_message_dms_write_user_data_input_unref ()

    void
    qmi_message_dms_write_user_data_input_unref
                                   (QmiMessageDmsWriteUserDataInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsWriteUserDataInput. |

### qmi_message_dms_write_user_data_input_get_user_data ()

    gboolean
    qmi_message_dms_write_user_data_input_get_user_data
                                   (QmiMessageDmsWriteUserDataInput *self,
                                    GArray **value_user_data,
                                    GError **error);

Get the 'User Data' field from `self` .

#### Parameters

self | a QmiMessageDmsWriteUserDataInput. |
value_user_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_write_user_data_input_set_user_data ()

    gboolean
    qmi_message_dms_write_user_data_input_set_user_data
                                   (QmiMessageDmsWriteUserDataInput *self,
                                    GArray *value_user_data,
                                    GError **error);

Set the 'User Data' field in the message.

#### Parameters

self | a QmiMessageDmsWriteUserDataInput. |
value_user_data | a GArray of guint8 elements. A new reference to `value_user_data` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_write_user_data_output_ref ()

    QmiMessageDmsWriteUserDataOutput *
    qmi_message_dms_write_user_data_output_ref
                                   (QmiMessageDmsWriteUserDataOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsWriteUserDataOutput. |

#### Returns

the new reference to `self` .

### qmi_message_dms_write_user_data_output_unref ()

    void
    qmi_message_dms_write_user_data_output_unref
                                   (QmiMessageDmsWriteUserDataOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsWriteUserDataOutput. |

### qmi_message_dms_write_user_data_output_get_result ()

    gboolean
    qmi_message_dms_write_user_data_output_get_result
                                   (QmiMessageDmsWriteUserDataOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsWriteUserDataOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_client_dms_write_user_data ()

    void
    qmi_client_dms_write_user_data (QmiClientDms *self,
                                    QmiMessageDmsWriteUserDataInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Write User Data request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_write_user_data_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsWriteUserDataInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_dms_write_user_data_finish ()

    QmiMessageDmsWriteUserDataOutput *
    qmi_client_dms_write_user_data_finish (QmiClientDms *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_dms_write_user_data()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_write_user_data()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsWriteUserDataOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_write_user_data_output_unref()`.

## Types and Values

### QmiMessageDmsWriteUserDataInput

    typedef struct _QmiMessageDmsWriteUserDataInput QmiMessageDmsWriteUserDataInput;

The QmiMessageDmsWriteUserDataInput structure contains private data and should only be accessed using the provided API.

### QmiMessageDmsWriteUserDataOutput

    typedef struct _QmiMessageDmsWriteUserDataOutput QmiMessageDmsWriteUserDataOutput;

The QmiMessageDmsWriteUserDataOutput structure contains private data and should only be accessed using the provided API.